#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Green
#property indicator_color2 Red
//---- input parameters
extern int ForcePeriod=13;
extern int MAMethod=0;
extern int AppliedPrice=0;

double ForceBuffer[];
double UpBuffer[];
double DownBuffer[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
  
    IndicatorBuffers(3);
   SetIndexBuffer(2,ForceBuffer);
   SetIndexStyle(2,DRAW_NONE);
     SetIndexBuffer(0,UpBuffer);
   SetIndexStyle(0,DRAW_LINE);
     SetIndexBuffer(1,DownBuffer);

   SetIndexStyle(1,DRAW_LINE);
 ArraySetAsSeries(ForceBuffer, TRUE);

   return(0);
  }
//+------------------------------------------------------------------+
//| Force Index indicator                                            |
//+------------------------------------------------------------------+
int start()
  {
    int i, limit, counted_bars=IndicatorCounted();
   if (counted_bars == 0)  
    limit = Bars - ForcePeriod;
   if (counted_bars > 0)  
    limit = Bars - counted_bars;
  for ( i = limit; i >=0; i-- ) {
      ForceBuffer[i]=Volume[i]*(iMA(NULL,0,ForcePeriod,0,MAMethod,AppliedPrice,i)- iMA(NULL,0,ForcePeriod,0,MAMethod,AppliedPrice,i+1));
}
 for ( i = limit; i >=0; i-- ) {
 
 UpBuffer[i]=EMPTY_VALUE;
 DownBuffer[i]=EMPTY_VALUE;
      if(ForceBuffer[i]> ForceBuffer[i+1])
      {
         UpBuffer[i]=ForceBuffer[i];
         UpBuffer[i+1]=ForceBuffer[i+1];
      }
      else{
      UpBuffer[i]=EMPTY_VALUE;
      }
    if(ForceBuffer[i]< ForceBuffer[i+1])
      {
         DownBuffer[i]=ForceBuffer[i];
         DownBuffer[i+1]=ForceBuffer[i+1];
      }
      else{
      DownBuffer[i]=EMPTY_VALUE;
      }
}

 
   
   return (0);
}
//+------------------------------------------------------------------+